package cn.com.victorysoft.business.indicator.dao;

import cn.com.victorysoft.business.indicator.entity.ObjectTypes;
import cn.com.victorysoft.business.indicator.entity.QualityCheck;
import cn.com.victorysoft.business.indicator.entity.WaterStation;
import cn.com.victorysoft.business.indicator.param.QualityCheckDelete;
import cn.com.victorysoft.business.indicator.param.QualityCheckParam;
import cn.com.victorysoft.business.indicator.param.QualityCheckSearchParam;
import cn.com.victorysoft.business.indicator.param.WaterStationParam;
import cn.com.victorysoft.business.sys.entity.WellBasic;
import cn.com.victorysoft.business.sys.param.UnitFieldBlockWellParam;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


@Mapper
public interface QualityCheckDao {

    List<QualityCheck> selectList(QualityCheckParam param);

    List<QualityCheck> searchList(QualityCheckSearchParam param);

    Map<String, BigDecimal> sumList(QualityCheckSearchParam param);

    List<ObjectTypes> selectObjectType();

    List<WaterStation> selectWaterStations(WaterStationParam param);

    WaterStation selectStationByName(String name);

    List<WellBasic> selectWaterWells(UnitFieldBlockWellParam param);

    int insert(QualityCheck param);

    QualityCheck selectByPrimaryKey(QualityCheck key);

    int updateData(QualityCheck param);

    int deleteByDate(QualityCheckDelete param);
}